## kf6-kdoctools 6.14.0

=== debian/changelog ===
kf6-kdoctools (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:16 +0100

=== debian/control ===
Source: kf6-kdoctools
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               docbook-xml (>= 4.5),
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 6.14.0~),
               libkf6archive-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdoctools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
Rules-Requires-Root: no

Package: kdoctools6
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6doctools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the documentation files for kdoctools6.

Package: libkf6doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools6 (= ${binary:Version}),
         libkf6archive-dev (>= 6.14.0~),
         libkf6doctools6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6doctools-doc (= ${source:Version}),
Description: Development files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for kdoctools6.

Package: libkf6doctools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 6.

## kf6-kdoctools 6.15.0

=== debian/changelog ===
kf6-kdoctools (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:32:46 +0100

kf6-kdoctools (6.14.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6archive-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.15.0~),
+               libkf6archive-dev (>= 6.15.0~),
+               libkf6i18n-dev (>= 6.15.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.14.0~),
+         libkf6archive-dev (>= 6.15.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kdoctools 6.16.0

=== debian/changelog ===
kf6-kdoctools (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:42:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
-               libkf6archive-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.15.0~),
+         libkf6archive-dev (>= 6.16.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kdoctools 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KDocTools VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(ECMGenerateExportHeader)
include(ECMGenerateQDoc)

set(kdoctools_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdoctools_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KDOCTOOLS
                        VERSION_HEADER "${kdoctools_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
                        SOVERSION 6)

option(MEINPROC_NO_KARCHIVE "Compile meinproc without KArchive dependency. Only for internal usage on KDE infrastructure." OFF)
option(INSTALL_INTERNAL_TOOLS "Install internal tools too." OFF)

option(RELOCATABLE_DOCBOOK_FILES "Generate relative paths to docbook and XSL files (for e.g. Windows and cross-compilation)" OFF)
if(WIN32)
    set(RELOCATABLE_DOCBOOK_FILES ON)
    message(STATUS "Automatic enable RELOCATABLE_DOCBOOK_FILES for Windows platform")
endif()

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

# KF6 frameworks
if (NOT MEINPROC_NO_KARCHIVE)
   find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
else()
   message(WARNING "KArchive dependency has been disabled. This should be done only for internal usage on KDE infrastructure.")
endif()

find_package(KF6I18n ${KF_DEP_VERSION})
set_package_properties(KF6I18n PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build the KDocTools translations")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

if (NOT LIBXML2_XMLLINT_EXECUTABLE)
   message(FATAL_ERROR "xmllint is required to process DocBook XML")
endif()

find_package(DocBookXML4 "4.5")

set_package_properties(DocBookXML4 PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(DocBookXSL)
set_package_properties(DocBookXSL PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
set(_kdoctoolsBootStrapping TRUE)
set(KDOCTOOLS_CUSTOMIZATION_DIR "${CMAKE_CURRENT_BINARY_DIR}/src/customization/")
if (WIN32)
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${EXECUTABLE_OUTPUT_PATH}/${CMAKE_CFG_INTDIR}/meinproc6 )
else ()
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${CMAKE_CURRENT_BINARY_DIR}/src/meinproc6${CMAKE_EXECUTABLE_SUFFIX} )
endif ()
include(KF6DocToolsMacros.cmake)

set(KDOCTOOLS_LANGUAGES_LIST af bg ca ca@valencia cs da de el en-GB en eo es et fi fo fr gl he hu id it ja ko lt nds nl nn no pl pt-BR pt ro ru sk sl sq sr sr@latin sr@ijekavian sr@ijekavianlatin sv th tr uk wa xh xx zh-CN zh-TW)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

if (KF6I18n_FOUND)
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(common)
add_subdirectory(docs)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(EXPORT KF6DocToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsTargets.cmake NAMESPACE KF6:: )
install(EXPORT KF6DocToolsToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsToolsTargets.cmake NAMESPACE KF6:: )
install(
    FILES ${kdoctools_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools
    COMPONENT Devel
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsConfig.cmake.in"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  PATH_VARS
    KDE_INSTALL_DATADIR_KF
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsMacros.cmake ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsMacros.cmake COPYONLY)
# we need a separate copy with local paths for install autotests
export(EXPORT KF6DocToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsTargets.cmake NAMESPACE KF6::)
export(EXPORT KF6DocToolsToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsToolsTargets.cmake NAMESPACE KF6::)

install(FILES
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

configure_file(config-kdoctools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdoctools.h )

install( FILES
    KF6DocToolsMacros.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kdoctools (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.16.0~),
+         libkf6archive-dev (>= 6.17.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kdoctools-([\d.]+)\.tar\.xz

## kf6-kdoctools 6.18.0

=== docs/meinproc6/CMakeLists.txt ===
kdoctools_create_manpage(man-meinproc6.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== docs/qt6options/CMakeLists.txt ===
kdoctools_create_manpage(man-qt6options.7.docbook 7 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== tests/create-from-current-dir-test/docs/CMakeLists.txt ===
add_subdirectory(kioslave)

=== debian/changelog ===
kf6-kdoctools (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -60,9 +59,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.17.0~),
+         libkf6archive-dev (>= 6.18.0~),
          libkf6doctools6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6doctools-doc (= ${source:Version}),
 Description: Development files for kdoctools6
@@ -76,7 +75,8 @@
 Package: libkf6doctools6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Tools to generate documentation in various formats from DocBook
  KDocTools is a set of tools to generate documentation in various
  formats from DocBook files.

## kf6-kdoctools 6.19.0

=== common/CMakeLists.txt ===
# install common files for all languages
foreach( _kdoctoolscommon_currentlang ${KDOCTOOLS_LANGUAGES_LIST})
    file( GLOB _kdoctoolscommon_lang_allfiles "${_kdoctoolscommon_currentlang}/*" )
    install(FILES ${_kdoctoolscommon_lang_allfiles} DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/${_kdoctoolscommon_currentlang}/kdoctools6-common)
endforeach()

# add English version of the -translated files, so that
# help:/kdoctools6-common/gpl-translated.html always works even
# if the translated file for the current language does not exist,
# thanks to kio_help's fallback on the English version.
set (_basetranslatedlicenses fdl gpl lgpl)
foreach (_licenseprefix ${_basetranslatedlicenses})
    install(FILES en/${_licenseprefix}-license.html DESTINATION
            ${KDE_INSTALL_DOCBUNDLEDIR}/en/kdoctools6-common/
            RENAME ${_licenseprefix}-translated.html)
endforeach()

=== docs/kf6options/CMakeLists.txt ===
kdoctools_create_manpage(man-kf6options.7.docbook 7 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== tests/create-from-current-dir-test/docs/kioslave/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(file)

=== tests/create-from-current-dir-test/docs/kioslave/file/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioslave5/file)

=== debian/changelog ===
kf6-kdoctools (6.19.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 09:23:57 +0000

kf6-kdoctools (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:55:44 +0000

kf6-kdoctools (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:44:09 +0000

kf6-kdoctools (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:16:52 +0000

kf6-kdoctools (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:20:21 +0000

kf6-kdoctools (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:46:32 +0000

kf6-kdoctools (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:32:57 +0000

kf6-kdoctools (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:58:57 +0000

kf6-kdoctools (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:57:54 +0000

kf6-kdoctools (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:25:34 +0000

kf6-kdoctools (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:43:10 +0000

kf6-kdoctools (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:27:05 +0000

kf6-kdoctools (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:29:16 +0000

kf6-kdoctools (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:24:29 +0000

kf6-kdoctools (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:31:20 +0000

kf6-kdoctools (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:42:16 +0000

kf6-kdoctools (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:29:26 +1000

kf6-kdoctools (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:55:07 +0000

kf6-kdoctools (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 05:50:18 +0000

kf6-kdoctools (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kdoctools (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-kdoctools
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-ki18n-dev,
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kdoctools.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kdoctools
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kdoctools
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdoctools6, libkf6doctools6
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: kf6-kdoctools-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kdoctools (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdoctools-dev, libkf6doctools-dev
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 Development files for kf6-kdoctools.

Package: kdoctools6
Architecture: all
Depends: kf6-kdoctools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6doctools6
Architecture: all
Depends: kf6-kdoctools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kdoctools6-dev
Architecture: all
Depends: kf6-kdoctools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6doctools-dev
Architecture: all
Depends: kf6-kdoctools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kdoctools 6.19.0+p24.04+vstable+git20251008.0818

=== debian/changelog ===
kf6-kdoctools (6.19.0+p24.04+vstable+git20251008.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 08:18:46 +0000

## kf6-kdoctools 6.19.0+p24.04+vstable+git20251015.0842

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -102,7 +102,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.18.0
 )
 
 if (KF6I18n_FOUND)

=== src/CMakeLists.txt ===
include_directories( ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} )

include(uriencode)
kdoctools_encode_uri(DocBookXML4_DTD_DIR)
set (_custom_dtd_kdex "customization/dtd/kdedbx45.dtd")
configure_file(${_custom_dtd_kdex}.cmake ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex} )
# WARNING: this is due to severe limitations on the windows platform to keep the dtd relocatable
# see the .xsl.cmake files for a more verbose explanation below
if(NOT RELOCATABLE_DOCBOOK_FILES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}
        DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd )
else()
    # file(RELATIVE_PATH ...) returns wrong values for paths containing /../ (it doesn't normalize the path)
    # To work around this we make sure the variable passed has all /../ elements
    # removed using get_filename_component(... ABSOLUTE)
    get_filename_component(NORMALIZED_DTD_INSTALL_PATH "${CMAKE_SYSROOT}/${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd" ABSOLUTE)
    file(RELATIVE_PATH DocBookXML4_DTD_DIR_relative "${NORMALIZED_DTD_INSTALL_PATH}" ${DocBookXML4_DTD_DIR})
    kdoctools_encode_uri(DocBookXML4_DTD_DIR_relative)
    install(CODE
        "set(DocBookXML4_DTD_DIR \"${DocBookXML4_DTD_DIR_relative}\")
        configure_file(\"${CMAKE_CURRENT_SOURCE_DIR}/${_custom_dtd_kdex}.cmake\" \"${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install\")"
    )
    get_filename_component(_custom_dtd_kdex_name ${_custom_dtd_kdex} NAME)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install" DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd RENAME ${_custom_dtd_kdex_name})
endif()

ecm_qt_declare_logging_category(kdoctoolslog_core_SRCS
    HEADER loggingcategory.h
    IDENTIFIER KDocToolsLog
    CATEGORY_NAME kf.doctools.core
    DEFAULT_SEVERITY Warning
)

# needed by KIO, need to export it
add_library(KF6DocTools SHARED xslt.cpp xslt_kde.cpp ${kdoctoolslog_core_SRCS})
add_library(KF6::DocTools ALIAS KF6DocTools)

set_target_properties(KF6DocTools PROPERTIES
    VERSION     ${KDOCTOOLS_VERSION}
    SOVERSION   ${KDOCTOOLS_SOVERSION}
    EXPORT_NAME DocTools
    POSITION_INDEPENDENT_CODE TRUE
)

ecm_generate_export_header(KF6DocTools
    BASE_NAME KDocTools
    EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/kdoctools_export.h"
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

if (NOT MEINPROC_NO_KARCHIVE)
    set (_private_link_karchive "KF6::Archive")
else()
    set (_private_link_karchive "")
endif()

target_link_libraries(KF6DocTools
    PUBLIC
        Qt6::Core
    PRIVATE
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        ${LIBXSLT_EXSLT_LIBRARIES}
        ${_private_link_karchive}
)

target_include_directories(KF6DocTools INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools>")

set(KDocTools_HEADERS
    docbookxslt.h
)

ecm_generate_qdoc(KF6DocTools kdoctools.qdocconf)

install(FILES
    ${KDocTools_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdoctools_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools
    COMPONENT Devel
)

install(TARGETS KF6DocTools EXPORT KF6DocToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set_source_files_properties(xslt.cpp PROPERTIES COMPILE_FLAGS -DSIMPLE_XSLT )

if(MEINPROC_NO_KARCHIVE)
    add_definitions(-DMEINPROC_NO_KARCHIVE) #we don't have saveToCache when compiling without KArchive, which is used in xslt_kde.cpp
else ()
    set(meinproc_additional_SRCS xslt_kde.cpp)
    set(meinproc_additional_LIBS KF6::Archive)
endif()

add_executable(meinproc6 meinproc.cpp meinproc_common.cpp xslt.cpp ${meinproc_additional_SRCS} ${kdoctoolslog_core_SRCS})
ecm_mark_nongui_executable(meinproc6)
target_link_libraries(meinproc6
    PRIVATE
        Qt6::Core
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        ${LIBXSLT_EXSLT_LIBRARIES}
        ${meinproc_additional_LIBS}
)

target_compile_definitions(meinproc6 PRIVATE -DKDOCTOOLS_EXPORT=)
install(TARGETS meinproc6 EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(CMAKE_CROSSCOMPILING AND MEINPROC6_EXECUTABLE)
    add_executable(KF6::meinproc6 IMPORTED GLOBAL)
    set_target_properties(KF6::meinproc6 PROPERTIES IMPORTED_LOCATION ${MEINPROC6_EXECUTABLE})
else()
    add_executable(KF6::meinproc6 ALIAS meinproc6)
endif()

########### customize includes for xslt ###############
# WARNING: this has severe limitations on the windows platform since the .xsl
# & docbook files need to be relocatable. We cannot just replace the paths in
# the .xsl with relative paths because these files are not installed while
# building kdoctools. Instead, we will reconfigure those files at install time
# with relative paths.
file( GLOB _kdeincludexslt_ALL "customization/kde-include*.xsl.cmake" )
foreach( _kdeincludexslt ${_kdeincludexslt_ALL} )
    get_filename_component( _kdeincludexslt_name ${_kdeincludexslt} NAME )
    string( REGEX REPLACE ".cmake$" "" _kdeincludexslt_out "${_kdeincludexslt_name}" )
    set( _kdeincludexslt_binarypath "${CMAKE_CURRENT_BINARY_DIR}/customization/${_kdeincludexslt_out}" )
    configure_file( ${_kdeincludexslt} ${_kdeincludexslt_binarypath} )
    if(NOT RELOCATABLE_DOCBOOK_FILES)
        install(FILES ${_kdeincludexslt_binarypath}
            DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization )
    else()
        install(CODE
            "file(RELATIVE_PATH DOCBOOKXSL_DIR ${CMAKE_SYSROOT}/\${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization ${DOCBOOKXSL_DIR})
            configure_file( \"${_kdeincludexslt}\" \"${_kdeincludexslt_binarypath}.install\" )")
            install(FILES "${_kdeincludexslt_binarypath}.install" DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization RENAME ${_kdeincludexslt_out})
    endif()
endforeach( _kdeincludexslt ${_kdeincludexslt_ALL} )


########### install files ###############

macro(INSTALL_CUSTOMIZE_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        install(FILES ${_curentfile} DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_DIR _expr _directory)

macro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        # copy the file also under CMAKE_CURRENT_BINARY_DIR - those
        # files are needed to generate the documentation without installing
        # kdoctools (i.e. when kdoctools itself compiled).
        get_filename_component(_currentfile_name ${_curentfile} NAME)
        set(_currentfile_binary_path ${CMAKE_CURRENT_BINARY_DIR}/${_directory}/${_currentfile_name})
        configure_file(${_curentfile} ${_currentfile_binary_path} COPYONLY)

        install(FILES ${_currentfile_binary_path}
            DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)



set(expr "customization/*.xsl")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/README")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/catalog.xml")
install_customize_l_dir( ${expr} customization/)

set(customizedir ${KDOCTOOLS_LANGUAGES_LIST} dtd entities xsl)

foreach (_currentcustomizedir ${customizedir})
    set(expr "customization/${_currentcustomizedir}/README")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.xsl")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/entities/*.docbook")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/entities/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/*.xml")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir} )
    set(expr "customization/${_currentcustomizedir}/*.dtd")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
    set(expr "customization/${_currentcustomizedir}/*.elements")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
endforeach(_currentcustomizedir ${customizedir})

########### l10n xml helper ###############

set( docbookl10nhelper_SRCS docbookl10nhelper.cpp ${kdoctoolslog_core_SRCS})
add_executable( docbookl10nhelper ${docbookl10nhelper_SRCS} )
ecm_mark_nongui_executable( docbookl10nhelper )
target_link_libraries( docbookl10nhelper Qt6::Core )
if(INSTALL_INTERNAL_TOOLS)
    install(TARGETS docbookl10nhelper EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

if(CMAKE_CROSSCOMPILING AND DOCBOOKL10NHELPER_EXECUTABLE)
    add_executable(KF6::docbookl10nhelper IMPORTED GLOBAL)
    set_target_properties(KF6::docbookl10nhelper PROPERTIES IMPORTED_LOCATION ${DOCBOOKL10NHELPER_EXECUTABLE})
else()
    add_executable(KF6::docbookl10nhelper ALIAS docbookl10nhelper)
endif()

add_custom_command( TARGET docbookl10nhelper POST_BUILD
    COMMAND $<TARGET_FILE:KF6::docbookl10nhelper>
    "${DOCBOOKXSL_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/customization/xsl"
    "${CMAKE_CURRENT_BINARY_DIR}/customization/xsl"
)

# all-l10n.xml is generated by docbookl10nhelper
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/customization/xsl/all-l10n.xml
    DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/xsl/ )

########### checkXML6 helper ###############

set( checkXML6_SRCS checkXML6.cpp ${kdoctoolslog_core_SRCS})
add_executable( checkXML6 ${checkXML6_SRCS} )
ecm_mark_nongui_executable( checkXML6 )
target_link_libraries( checkXML6 Qt6::Core )
install(TARGETS checkXML6 EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(CMAKE_CROSSCOMPILING AND CHECKXML6_EXECUTABLE)
    add_executable(KF6::checkXML6 IMPORTED GLOBAL)
    set_target_properties(KF6::checkXML6 PROPERTIES IMPORTED_LOCATION ${CHECKXML6_EXECUTABLE})
else()
    add_executable(KF6::checkXML6 ALIAS checkXML6)
endif()

=== debian/changelog ===
kf6-kdoctools (6.19.0+p24.04+vstable+git20251015.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:42:04 +0000

## kf6-kdoctools 6.19.0+p24.04+vstable+git20251023.0110

=== debian/changelog ===
kf6-kdoctools (6.19.0+p24.04+vstable+git20251023.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:10:26 +0000

## kf6-kdoctools 6.19.0+p24.04+vunstable+git20251015.1003

=== debian/changelog ===
kf6-kdoctools (6.19.0+p24.04+vunstable+git20251015.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:03:16 +0000

## kf6-kdoctools 6.19.0+p24.04+vunstable+git20251020.0230

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif()
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 # KF6 frameworks

=== debian/changelog ===
kf6-kdoctools (6.19.0+p24.04+vunstable+git20251020.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:30:44 +0000

## kf6-kdoctools 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -102,7 +102,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 if (KF6I18n_FOUND)

=== autotests/kdoctools+install/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kdoctools_install)

find_package(ECM NO_MODULE)
# required by KF6DocToolsMacros
include(KDEInstallDirs)

find_package(KF6DocTools REQUIRED)

add_subdirectory(../../docs docs)
kdoctools_install(po)

=== debian/changelog ===
kf6-kdoctools (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:40 +0100

=== debian/control ===
Source: kf6-kdoctools
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               docbook-xml (>= 4.5),
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6archive-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kdoctools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
Rules-Requires-Root: no

Package: kdoctools6
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6doctools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the documentation files for kdoctools6.

Package: libkf6doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools6 (= ${binary:Version}),
         libkf6archive-dev (>= 6.20.0~),
         libkf6doctools6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6doctools-doc (= ${source:Version}),
Description: Development files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for kdoctools6.

Package: libkf6doctools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 6.

## kf6-kdoctools 6.20.0+p24.04+vunstable+git20251122.0716

=== debian/changelog ===
kf6-kdoctools (6.20.0+p24.04+vunstable+git20251122.0716-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:16:39 +0000

kf6-kdoctools (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:50 +1000

## kf6-kdoctools 6.20.0+p24.04+vunstable+git20251203.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdoctools (6.20.0+p24.04+vunstable+git20251203.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:42:14 +0000

## kf6-kdoctools 6.21.0

=== debian/changelog ===
kf6-kdoctools (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:59 +0000

kf6-kdoctools (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:52 +0000

kf6-kdoctools (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:33 +0100

=== debian/control ===
Source: kf6-kdoctools
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               docbook-xml (>= 4.5),
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6archive-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdoctools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
Rules-Requires-Root: no

Package: kdoctools6
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools6 (= ${binary:Version}),
         libkf6archive-dev (>= 6.21.0~),
         libkf6doctools6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6doctools-doc (= ${source:Version}),
Description: Development files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for kdoctools6.

Package: libkf6doctools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the documentation files for kdoctools6.

Package: libkf6doctools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 6.

## kf6-kdoctools 6.21.0+p24.04+vstable+git20260102.1244

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -101,8 +101,8 @@
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
 add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 if (KF6I18n_FOUND)

=== debian/changelog ===
kf6-kdoctools (6.21.0+p24.04+vstable+git20260102.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:44:45 +0000

kf6-kdoctools (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:36 +1000

## kf6-kdoctools 6.21.0+p24.04+vstable+git20260103.0211

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kdoctools (6.21.0+p24.04+vstable+git20260103.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:11:32 +0000

## kf6-kdoctools 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kdoctools (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:30:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -47,7 +47,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.21.0~),
+         libkf6archive-dev (>= 6.22.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
